# Class: GmeLogger

## GmeLogger

#### new GmeLogger()

  Describes common API for loggers on both client and server side.

### Methods

#### debug(message)

  Logs debug message.

  ##### Parameters:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `message` | * | <repeatable> | The message of the log.

#### error(message)

  Logs error message

  ##### Parameters:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `message` | * | <repeatable> | The message of the log.

#### fork(name [, asIs])

  Creates a new logger with the same settings and a name that is an augmentation of this logger and the provided string. If the second argument is true - the provided name will be used as is.

  ##### Parameters:

  Name | Type | Argument | Default | Description
  --- | --- | --- | --- | ---
  `name` | string |  |  | The augmentation of the initial namespace of the logger.
  `asIs` | boolean | <optional> | false | If true it will be a replacement of the original namespace.

  ##### Returns:

  The resulting logger.

  Type
    GmeLogger

#### info(message)

  Logs info message

  ##### Parameters:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `message` | * | <repeatable> | The message of the log.

#### warn(message)

  Logs warning message

  ##### Parameters:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `message` | * | <repeatable> | The message of the log.

#### Search results